package com.ruoyi.business.domain.VO;

import java.util.List;

public class ElectronicFenceVo {

    public Integer deviceCount;

    public Integer abnormalCount;

    public String areaShapeFlag;//1，多边形，2，圆形

    public AreaPoint centerPoint;//圆形中心点

    public List<AreaPoint> areaPoints;//多边型点
    public Double radius;

    public Integer getDeviceCount() {
        return deviceCount;
    }

    public void setDeviceCount(Integer deviceCount) {
        this.deviceCount = deviceCount;
    }

    public Integer getAbnormalCount() {
        return abnormalCount;
    }

    public void setAbnormalCount(Integer abnormalCount) {
        this.abnormalCount = abnormalCount;
    }

    public String getAreaShapeFlag() {
        return areaShapeFlag;
    }

    public void setAreaShapeFlag(String areaShapeFlag) {
        this.areaShapeFlag = areaShapeFlag;
    }

    public AreaPoint getCenterPoint() {
        return centerPoint;
    }

    public void setCenterPoint(AreaPoint centerPoint) {
        this.centerPoint = centerPoint;
    }

    public List<AreaPoint> getAreaPoints() {
        return areaPoints;
    }

    public void setAreaPoints(List<AreaPoint> areaPoints) {
        this.areaPoints = areaPoints;
    }

    public Double getRadius() {
        return radius;
    }

    public void setRadius(Double radius) {
        this.radius = radius;
    }

    public static class AreaPoint{
        private Double longitude;
        private Double latitude;

        public Double getLongitude() {
            return longitude;
        }

        public void setLongitude(Double longitude) {
            this.longitude = longitude;
        }

        public Double getLatitude() {
            return latitude;
        }

        public void setLatitude(Double latitude) {
            this.latitude = latitude;
        }


    }

}
